# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getCardItemTable(meta):
    return Table('carditem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tbl = getCardItemTable(meta)
    tbl.c.discountvalue.alter(type=Numeric(5, 2))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tbl = getCardItemTable(meta)
    tbl.c.discountvalue.alter(type=Integer)
