# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
from documents.versions import dump


def getTables(meta):
    return [Table(tbl, meta, autoload=True) for tbl in ['goodsitem', 'stornogoodsitem', 'alcosetitem']]

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)

    for tbl in getTables(meta):
        tbl.c.excisemark.alter(type=String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for tbl in getTables(meta):
        tbl.c.excisemark.alter(type=String(100))