from sqlalchemy import String
from dictionaries.versions import views_helper

table_name = 'shop'
columns = [('address', String(255)),
           ('innexcise', String(20)),
           ('kppexcise', String(20)),
           ('fsraridexcise', String(20)),
           ('innnonexcise', String(20)),
           ('kppnonexcise', String(20)),
           ('fsraridnonexcise', String(20))]

def upgrade(migrate_engine):
    for col in columns:
        views_helper.create_column(migrate_engine, table_name, col[0], col[1])

def downgrade(migrate_engine):
    for col in columns:
        views_helper.drop_column(migrate_engine, table_name, col[0], col[1])
