from sqlalchemy import Numeric
from dictionaries.versions import views_helper

table_name = 'tprices'
column_name = 'packingprice'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_name, column_type=Numeric(13,2))

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_name, column_type=Numeric(13,2))
