from sqlalchemy import String
from dictionaries.versions import views_helper

table_name = 'medicine'
column_dictcode = 'dictcode'
column_dictname = 'dictname'
column_dictcode_index = 'dictcodeidx'


def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_dictname, String(255))
    views_helper.create_column(migrate_engine, table_name, column_dictcode, String(255))
    views_helper.create_index(migrate_engine, table_name, column_dictcode, column_dictcode_index)


def downgrade(migrate_engine):
    views_helper.drop_index(migrate_engine, table_name, column_dictcode_index)
    views_helper.drop_column(migrate_engine, table_name, column_dictcode, String(255))
    views_helper.drop_column(migrate_engine, table_name, column_dictname, String(255))
